Bug 218641 - lang/python27: remove SEM option by making it always available
Summary: lang/python27: remove SEM option by making it always available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://reviews.freebsd.org/D10446
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-13 18:26 UTC by Jan Beich
Modified: 2017-04-25 02:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
jbeich: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-04-13 18:26:08 UTC
Since FreeBSD 8.x EOL in 2015-08-01 the option doesn't have any value beyond footshooting[1]. sem_open() and sem_init(pshared=1) always work FreeBSD 9.0 or later after base r201546.

[1] https://lists.freebsd.org/pipermail/freebsd-ports/2017-April/108116.html
Comment 1 Jan Beich freebsd_committer 2017-04-13 18:27:48 UTC
Also MFH to 2017Q2 given the option was enabled by default for ~3 years.
Comment 3 Martin Wilke freebsd_committer 2017-04-21 10:40:35 UTC
Pass over to portmgr for exprun.

Hi Portmgr,

We need an exp-run for this one in order to make sure nothing else breaks,

please use belows patch,
https://reviews.freebsd.org/D10446

Thanks,
- Martin
Comment 4 Antoine Brodin freebsd_committer 2017-04-23 19:20:06 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2017-04-23 21:17:28 UTC
A commit references this bug:

Author: miwi
Date: Sun Apr 23 21:16:47 UTC 2017
New revision: 439261
URL: https://svnweb.freebsd.org/changeset/ports/439261

Log:
  - Remove SEM option by making it always avalible

  Since FreeBSD 8.x EOL in 2015-08-01 the option doesn't have any value beyond
  footshooting[1]. sem_open() and sem_init(pshared=1) always work FreeBSD 9.0
  or later after base r201546.

  [1] https://lists.freebsd.org/pipermail/freebsd-ports/2017-April/108116.html

  PR:		218641
  Reported by:	jbeich
  Exp-run:        antoine
  MFH:		2017Q2
  Differential Revision:	https://reviews.freebsd.org/D10446

Changes:
  head/lang/python27/Makefile
  head/lang/python27/files/extra-patch-setup.py
  head/lang/python27/files/patch-setup.py
Comment 6 commit-hook freebsd_committer 2017-04-25 02:14:06 UTC
A commit references this bug:

Author: junovitch
Date: Tue Apr 25 02:13:35 UTC 2017
New revision: 439351
URL: https://svnweb.freebsd.org/changeset/ports/439351

Log:
  MFH: r438530 r439261

  - Fix shebang

  Thanks to: amdmi3

  - Remove SEM option by making it always avalible

  Since FreeBSD 8.x EOL in 2015-08-01 the option doesn't have any value beyond
  footshooting[1]. sem_open() and sem_init(pshared=1) always work FreeBSD 9.0
  or later after base r201546.

  [1] https://lists.freebsd.org/pipermail/freebsd-ports/2017-April/108116.html

  PR:		218641
  Reported by:	jbeich
  Exp-run:        antoine
  Differential Revision:	https://reviews.freebsd.org/D10446
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/lang/python27/Makefile
  branches/2017Q2/lang/python27/files/extra-patch-setup.py
  branches/2017Q2/lang/python27/files/patch-setup.py
  branches/2017Q2/lang/python33/Makefile
  branches/2017Q2/lang/python34/Makefile
  branches/2017Q2/lang/python35/Makefile
  branches/2017Q2/lang/python36/Makefile